complexType "CashSettlement"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | cashSettlementValuationTime?, cashSettlementValuationDate?, cashSettlementPaymentDate?, (cashPriceMethod? | cashPriceAlternateMethod? | parYieldCurveAdjustedMethod? | zeroCouponYieldAdjustedMethod? | parYieldCurveUnadjustedMethod? | crossCurrencyMethod? | collateralizedCashPriceMethod?)?
</...>

Content Model Elements (10):

  cashPriceAlternateMethod, cashPriceMethod, cashSettlementPaymentDate, cashSettlementValuationDate, cashSettlementValuationTime, collateralizedCashPriceMethod, crossCurrencyMethod, parYieldCurveAdjustedMethod, parYieldCurveUnadjustedMethod, zeroCouponYieldAdjustedMethod

All Direct / Indirect Based Elements (3):

  cashSettlement (in mandatoryEarlyTermination),
  cashSettlement (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  cashSettlement (in swaption)

Known Usage Locations

- As direct type of elements (3):
  cashSettlement (in mandatoryEarlyTermination),
  cashSettlement (in optionalEarlyTermination defined in OptionalEarlyTermination.model group),
  cashSettlement (in swaption)

Annotation
A type to define the cash settlement terms for a product where cash settlement is applicable.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="CashSettlement"> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlementValuationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="cashSettlementValuationDate" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="cashSettlementPaymentDate" type="CashSettlementPaymentDate"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="cashPriceMethod" type="CashPriceMethod"/> <xsd:element minOccurs="0" name="cashPriceAlternateMethod" type="CashPriceMethod"/> <xsd:element minOccurs="0" name="parYieldCurveAdjustedMethod" type="YieldCurveMethod"/> <xsd:element minOccurs="0" name="zeroCouponYieldAdjustedMethod" type="YieldCurveMethod"/> <xsd:element minOccurs="0" name="parYieldCurveUnadjustedMethod" type="YieldCurveMethod"/> <xsd:element minOccurs="0" name="crossCurrencyMethod" type="CrossCurrencyMethod"/> <xsd:element minOccurs="0" name="collateralizedCashPriceMethod" type="YieldCurveMethod"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 10/10)
cashPriceAlternateMethod

  Type: | CashPriceMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (b).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashPriceAlternateMethod" type="CashPriceMethod"/>

cashPriceMethod

  Type: | CashPriceMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (a).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashPriceMethod" type="CashPriceMethod"/>

cashSettlementPaymentDate

  Type: | CashSettlementPaymentDate, complex content

  The date on which the cash settlement amount will be paid, subject to adjustment in accordance with any applicable business day convention. This component would not be present for a mandatory early termination provision where the cash settlement payment date is the mandatory early termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlementPaymentDate" type="CashSettlementPaymentDate"/>

cashSettlementValuationDate

  Type: | RelativeDateOffset, complex content

  The date on which the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlementValuationDate" type="RelativeDateOffset"/>

cashSettlementValuationTime

  Type: | BusinessCenterTime, complex content

  The time of the cash settlement valuation date when the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlementValuationTime" type="BusinessCenterTime"/>

collateralizedCashPriceMethod

  Type: | YieldCurveMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (g) (published in Supplement number 28).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralizedCashPriceMethod" type="YieldCurveMethod"/>

crossCurrencyMethod

  Type: | CrossCurrencyMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (f) (published in Supplement number 23).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="crossCurrencyMethod" type="CrossCurrencyMethod"/>

parYieldCurveAdjustedMethod

  Type: | YieldCurveMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (c).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="parYieldCurveAdjustedMethod" type="YieldCurveMethod"/>

parYieldCurveUnadjustedMethod

  Type: | YieldCurveMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (e).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="parYieldCurveUnadjustedMethod" type="YieldCurveMethod"/>

zeroCouponYieldAdjustedMethod

  Type: | YieldCurveMethod, complex content

  An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (d).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="zeroCouponYieldAdjustedMethod" type="YieldCurveMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.